// Avi3k: ModID
// StatsMods.h

#pragma once
#include "stdafx.h"


class CModStats : public CRBMap<CString, uint32>
{
 public:
	void AddMod(CString strMod = _T(""))
	{
		if (strMod.IsEmpty())
			return;
		uint32 iCount = 0;
		Lookup(strMod, iCount);
		SetAt(strMod, iCount+1);
	}

	uint32 GetTotalCount()
	{
		CString str;
		uint32 total = 0, count = 0;
		POSITION pos = GetHeadPosition();
		while (pos)
		{
			GetNextAssoc(pos, str, count);
			total += count;
		}
		return total;
	}
};

